Page MenuHomePhabricator

Enforce permission checks when editing Lexeme
Closed, ResolvedPublic5 Story Points

Description

Editing a Lexeme must only be possible by accounts with the "edit" right.

Acceptance criteria

  • A user without the "edit" right can not edit any part of a Lexeme

Scenarios

Scenario: Not authorized

GIVEN I am on the Lexeme page
WHEN I do not have the "edit" right
THEN I see no edit buttons

Scenario: Authorization revoked after page load

GIVEN I am on the Lexeme page
AND I do not have the "edit" right
AND I see edit buttons
WHEN I edit something
AND I submit changes
THEN Show the error message from the API (the general error handling in Wikibase) at the save button

Links:

Event Timeline

WMDE-leszek triaged this task as Normal priority.
Pablo-WMDE updated the task description. (Show Details)Mar 12 2018, 4:04 PM
Addshore updated the task description. (Show Details)
WMDE-leszek updated the task description. (Show Details)Mar 13 2018, 11:33 AM
WMDE-leszek set the point value for this task to 5.Mar 13 2018, 11:40 AM
Pablo-WMDE updated the task description. (Show Details)Mar 28 2018, 11:18 AM
Pablo-WMDE updated the task description. (Show Details)
Jakob_WMDE claimed this task.
Jakob_WMDE removed Jakob_WMDE as the assignee of this task.Apr 5 2018, 1:37 PM
Jakob_WMDE added a subscriber: Jakob_WMDE.
Lydia_Pintscher closed this task as Resolved.Apr 9 2018, 3:29 PM
Lydia_Pintscher claimed this task.